<?php
/**
 * Helper functions for metabox in posts
 * 
 * @package CodeVibrant 
 * @subpackage Yaatra Mag
 * @since 1.0.0
 * 
 */

 /**
 * Enqueue admin scripts and styles.
 */
function yaatra_mag_post_admin_scripts( $hook ) {

    // Only needed on these admin screens
    if ( $hook != 'edit.php' && $hook != 'post.php' && $hook != 'post-new.php' ) {
        return;
    }

    global $yaatra_mag_theme_version;
    wp_enqueue_script( 'jquery-ui-button' );

    wp_enqueue_style( 'yaatra-mag-metabox-style', get_template_directory_uri() . '/inc/metaboxes/assets/metabox.css', array(), esc_attr( $yaatra_mag_theme_version ) );

    wp_enqueue_script( 'yaatra-mag-metabox-script', get_template_directory_uri() . '/inc/metaboxes/assets/metabox.js', array( 'jquery' ), esc_attr( $yaatra_mag_theme_version ), true );
}
add_action( 'admin_enqueue_scripts', 'yaatra_mag_post_admin_scripts' );

/**
 * Custom function for widgets
 */
require get_template_directory() . '/inc/metaboxes/cv-post-meta.php';
require get_template_directory() . '/inc/metaboxes/cv-page-meta.php';