<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package CodeVibrant
 * @subpackage Yaatra Mag
 * @since 1.0.0
 */

if ( has_post_thumbnail() ) {
    $post_class = 'has-thumbnail';
} else {
    $post_class = 'no-thumbnail';
}
$get_post_id = get_the_ID();
$style = get_post_meta( $get_post_id, 'yaatra_mag_post_style', true );
if ( $style === "default_style" ) {
	$style = get_theme_mod( 'yaatra_mag_post_style', 'style_one' );
}
?>

<article id="post-<?php the_ID(); ?>" <?php post_class( $post_class ); ?>>
	<?php
		/**
		 * Get template part for post layouts
		 * 
		 */
		switch( $style ) {
			case 'style_two': get_template_part( 'template-parts/layouts/single/style', 'two' );
							break;
						default: get_template_part( 'template-parts/layouts/single/style', 'one' );
							break;
		}
	?>
	
</article><!-- #post-<?php the_ID(); ?> -->
